use clap::Parser;

#[derive(Parser, Debug, Clone)]
#[command(author, version, about, long_about = None)]
pub struct Cli {
	pub input_file: String,
	pub output_file: String,
	/// Set the size of each output pixel; creates an NxN rect for each input pixel where N is the scale
	#[arg(short, long, default_value_t = 1)]
	pub scale: usize,
}
